#include "ecs.hpp"

using fggl::ecs2::World;
using fggl::ecs2::Entity;

World::World() {
}

Entity World::prefab(const char *name) {
	return m_ecs.prefab( name );
}

Entity World::create() {
	return m_ecs.entity();
}

Entity World::create(const Entity prefab) {
	auto newEnt = create();
	newEnt.is_a(prefab);
	return newEnt;
}

Entity World::create(const char* name) {
	return m_ecs.entity(name);
}

Entity World::create(const char* name, const Entity prefab) {
	auto newEnt = create(name);
	newEnt.is_a( prefab );
	return newEnt;
}
